io.etcd.jetcd.lease

## Class LeaseKeepAliveResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<LeaseKeepAliveResponse>
  - - io.etcd.jetcd.lease.LeaseKeepAliveResponse

All Implemented Interfaces:
  Response

    public class LeaseKeepAliveResponse
    extends AbstractResponse<LeaseKeepAliveResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`LeaseKeepAliveResponse(LeaseKeepAliveResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getID()` ID is the lease ID from the keep alive request.
`long` `getTTL()` TTL is the new time-to-live for the lease.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeaseKeepAliveResponse

    public LeaseKeepAliveResponse(LeaseKeepAliveResponse response)

### Method Detail

#### getID

    public long getID()

ID is the lease ID from the keep alive request.

#### getTTL

    public long getTTL()

TTL is the new time-to-live for the lease.